## gst-plugins-good1.0 1.18.4

=== meson_options.txt ===
# Feature options for plugins without external deps
option('alpha', type : 'feature', value : 'auto')
option('apetag', type : 'feature', value : 'auto')
option('audiofx', type : 'feature', value : 'auto')
option('audioparsers', type : 'feature', value : 'auto')
option('auparse', type : 'feature', value : 'auto')
option('autodetect', type : 'feature', value : 'auto')
option('avi', type : 'feature', value : 'auto')
option('cutter', type : 'feature', value : 'auto')
option('debugutils', type : 'feature', value : 'auto')
option('deinterlace', type : 'feature', value : 'auto')
option('dtmf', type : 'feature', value : 'auto')
option('effectv', type : 'feature', value : 'auto')
option('equalizer', type : 'feature', value : 'auto')
option('flv', type : 'feature', value : 'auto')
option('flx', type : 'feature', value : 'auto')
option('goom', type : 'feature', value : 'auto')
option('goom2k1', type : 'feature', value : 'auto')
option('icydemux', type : 'feature', value : 'auto')
option('id3demux', type : 'feature', value : 'auto')
option('imagefreeze', type : 'feature', value : 'auto')
option('interleave', type : 'feature', value : 'auto')
option('isomp4', type : 'feature', value : 'auto')
option('law', type : 'feature', value : 'auto')
option('level', type : 'feature', value : 'auto')
option('matroska', type : 'feature', value : 'auto')
option('monoscope', type : 'feature', value : 'auto')
option('multifile', type : 'feature', value : 'auto')
option('multipart', type : 'feature', value : 'auto')
option('replaygain', type : 'feature', value : 'auto')
option('rtp', type : 'feature', value : 'auto')
option('rtpmanager', type : 'feature', value : 'auto')
option('rtsp', type : 'feature', value : 'auto')
option('shapewipe', type : 'feature', value : 'auto')
option('smpte', type : 'feature', value : 'auto')
option('spectrum', type : 'feature', value : 'auto')
option('udp', type : 'feature', value : 'auto')
option('videobox', type : 'feature', value : 'auto')
option('videocrop', type : 'feature', value : 'auto')
option('videofilter', type : 'feature', value : 'auto')
option('videomixer', type : 'feature', value : 'auto')
option('wavenc', type : 'feature', value : 'auto')
option('wavparse', type : 'feature', value : 'auto')
option('y4m', type : 'feature', value : 'auto')

# Feature options for plugins with external deps
option('aalib', type : 'feature', value : 'auto', description : 'aalib text console video sink plugin')
option('bz2', type : 'feature', value : 'auto', description : 'libbz2 support in the matroska plugin')
option('cairo', type : 'feature', value : 'auto', description : 'Cairo overlay plugin')
option('directsound', type : 'feature', value : 'auto', description : 'Directsound audio source/sink plugin')
option('dv', type : 'feature', value : 'auto', description : 'Digital video decoder and demuxer plugin')
option('dv1394', type : 'feature', value : 'auto', description : 'Digital IEEE1394 interface video source plugin')
option('flac', type : 'feature', value : 'auto', description : 'FLAC audio codec plugin')
option('gdk-pixbuf', type : 'feature', value : 'auto', description : 'gdk-pixbuf image decoder, overlay, and sink plugin')
option('gtk3', type : 'feature', value : 'auto', description : 'GTK+ video sink plugin')
option('jack', type : 'feature', value : 'auto', description : 'JACK audio source/sink plugin')
option('jpeg', type : 'feature', value : 'auto', description : 'JPEG image codec plugin')
option('lame', type : 'feature', value : 'auto', description : 'LAME mp3 audio encoder plugin')
option('libcaca', type : 'feature', value : 'auto', description : 'libcaca text console video sink plugin')
option('mpg123', type : 'feature', value : 'auto', description : 'mpg123 mp3 audio decoder plugin')
option('oss', type : 'feature', value : 'auto', description : 'OSS audio source/sink plugin')
option('oss4', type : 'feature', value : 'auto', description : 'OSSv4 audio source/sink plugin')
option('osxaudio', type : 'feature', value : 'auto', description : 'macOS/iOS CoreAudio source/sink plugin')
option('osxvideo', type : 'feature', value : 'auto', description : 'macOS Cocoa video sink plugin')
option('png', type : 'feature', value : 'auto', description : 'PNG image codec plugin')
option('pulse', type : 'feature', value : 'auto', description : 'Pulseaudio audio source/sink plugin')
option('qt5', type : 'feature', value : 'auto', description : 'Qt5 QML video sink plugin')
option('shout2', type : 'feature', value : 'auto', description : 'Shout-casting network sink plugin based on libshout2')
option('soup', type : 'feature', value : 'auto', description : 'libsoup HTTP client source/sink plugin')
option('speex', type : 'feature', value : 'auto', description : 'Speex audio codec plugin')
option('taglib', type : 'feature', value : 'auto', description : 'Tag-writing plugin based on taglib')
option('twolame', type : 'feature', value : 'auto', description : 'twolame mp2 audio encoder plugin')
option('vpx', type : 'feature', value : 'auto', description : 'VP8 and VP9 video codec plugin')
option('waveform', type : 'feature', value : 'auto', description : 'Windows waveform audio sink plugin')
option('wavpack', type : 'feature', value : 'auto', description : 'Wavpack audio codec plugin')

# rpicamsrc plugin options
option('rpicamsrc', type : 'feature', value : 'auto', description : 'Raspberry Pi camera module plugin')
option('rpi-header-dir', type : 'string', value : '/opt/vc/include', description : 'Directory where VideoCore/MMAL headers and bcm_host.h can be found')
option('rpi-lib-dir', type : 'string', value : '/opt/vc/lib', description : 'Directory where VideoCore/MMAL libraries can be found')

# ximagesrc plugin options
option('ximagesrc', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin')
option('ximagesrc-xshm', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin (XSHM support)')
option('ximagesrc-xfixes', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin (XFixes support)')
option('ximagesrc-xdamage', type : 'feature', value : 'auto', description : 'X11 ximagesrc plugin (XDamage support)')

# v4l2 plugin options
option('v4l2', type : 'feature', value : 'auto', description : 'Build video4linux2 source/sink plugin')
option('v4l2-probe', type : 'boolean', value : true, description : 'Probe v4l2 devices when the v4l2 plugin is loaded')
option('v4l2-libv4l2', type : 'feature', value : 'auto', description : 'Use libv4l2 for some obscure format conversions')
option('v4l2-gudev', type : 'feature', value : 'auto', description : 'Use libgudev for probing v4l2 devices')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true)
option('tests', type : 'feature', value : 'auto', yield : true)
option('nls', type : 'feature', value : 'auto', yield: true, description : 'Enable native language support (translations)')
option('orc', type : 'feature', value : 'auto', yield : true)
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)')
option('asm', type : 'feature', value : 'auto', yield : true)

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string', value : 'Unknown package origin', yield : true,
       description : 'package origin URL to use in plugins')
option('doc', type : 'feature', value : 'auto', yield: true,
       description: 'Enable documentation.')

=== debian/changelog ===
gst-plugins-good1.0 (1.18.4-2+deb11u3) bullseye-security; urgency=medium

  * Non maintainer upload by LTS security team.
  * Fix CVE-2024-47537:
    OOB-write in isomp4/qtdemux.c
    (GHSL-2024-094, GHSL-2024-237, GHSL-2024-241)
  * Fix CVE-2024-47539:
    An out-of-bounds write vulnerability was identified in the convert_to_s334_1a
    function in isomp4/qtdemux.c.
    The vulnerability arises due to a discrepancy between the size of memory
    allocated to the storage array and the loop condition i * 2 < ccpair_size.
    Specifically, when ccpair_size is even, the allocated size in storage does not
    match the loop’s expected bounds, resulting in an out-of-bounds write.
    (GHSL-2024-195)
  * Fix CVE-2024-47540:
    matroskademux: Only unmap GstMapInfo in WavPack header extraction error
    paths if previously mapped (GHSL-2024-197)
  * Fix CVE-2024-47543:
    An OOB-read vulnerability has been discovered in qtdemux_parse_container
    function within qtdemux.c.
    In the parent function qtdemux_parse_node, the value of length is not
    well checked. So, if length is big enough, it causes the pointer end
    to point beyond the boundaries of buffer.
    (GHSL-2024-236)
  * Fix CVE-2024-47544:
    An Insufficient error handling was found in the JPEG decoder
    that can lead to NULL-pointer dereferences, and that can cause
    crashes for certain input files.
    (GHSL-2024-238, GHSL-2024-239, GHSL-2024-240)
  * Fix CVE-2024-47545:
    An integer underflow has been detected in qtdemux_parse_trak function
    within qtdemux.c.
    During the strf parsing case, the subtraction size -= 40 can lead to
    a negative integer overflow if it is less than 40
    (GHSL-2024-242)
  * Fix CVE-2024-47546:
    An integer underflow was found in the MP4/MOV demuxer that can lead to
    out-of-bounds reads and that can cause crashes for certain input files.
    (GHSL-2024-243)
  * Fix CVE-2024-47596:
    An Out of Bound read has been discovered in the qtdemux_parse_svq3_stsd_data
    function within qtdemux.c. In the FOURCC_SMI_ case, seqh_size is read
    from the input file without proper validation. If seqh_size is greater than
    the remaining size of the data buffer, it can lead to an OOB-read in the
    following call to gst_buffer_fill, which internally uses memcpy.
    This vulnerability can result in reading up to 4GB of process memory
    or potentially causing a segmentation fault (SEGV) when accessing
    invalid memory. (GHSL-2024-244)
  * Fix CVE-2024-47597:
    Multiple out-of-bounds reads were found in the MP4/MOV demuxer's sample
    table parsing and lack of error checking that can cause crashes
    for certain input files
    (GHSL-2024-245)
  * Fix CVE-2024-47598:
    An OOB-read vulnerability has been discovered in the
    qtdemux_merge_sample_table function within qtdemux.c.
    The problem is that the size of the stts buffer isn’t properly
    checked before reading stts_duration, allowing the program to read 4 bytes
    beyond the boundaries of stts->data
    (GHSL-2024-246)
  * Fix CVE-2024-47599:
    An Insufficient error handling was found in the JPEG decoder
    that can lead to NULL-pointer dereferences, and that can cause
    crashes for certain input files.
  * Fix CVE-2024-47601
    A NULL pointer dereference was found in function
    gst_matroska_demux_parse_blockgroup_or_simpleblock in GStreamer
    (GHSL-2024-249)
  * Fix CVE-2024-47602:
    A null pointer dereference vulnerability has been discovered in
    the gst_matroska_demux_add_wvpk_header function within matroska-demux.c.
    (GHSL-2024-250)
  * Fix CVE-2024-47603:
    A NULL pointer dereference vulnerability has been discovered in
    the gst_matroska_demux_update_tracks function within matroska-demux.c.
    The vulnerability occurs when the gst_caps_is_equal function is called with
    invalid caps values. If this happen, then in the function gst_buffer_get_size
    the call to GST_BUFFER_MEM_PTR can return a null pointer. Attempting to
    dereference the size field of this null pointer results in a null
    pointer dereference. (GHSL-2024-251)
  * Fix CVE-2024-47606:
    An Integer overflow was found in the MP4/MOV demuxer
    and memory allocator that can lead to out-of-bounds
    writes and that can cause crashes for certain input files.
  * Fix CVE-2024-47613:
    A NULL-pointer dereference was found in the gdk-pixbuf
    decoder that can cause crashes for certain input files.
  * Fix CVE-2024-47774:
    An integer overflow was found in the AVI subtitle parser
    that can lead to out-of-bounds reads and can cause crashes
    for certain input files (GHSL-2024-262)
  * Fix CVE-2024-47775:
    An out of bound read was found before reading ds64 chunk.
  * Fix CVE-2024-47776:
    An out of bound read has been discovered in gst_wavparse_cue_chunk
    within gstwavparse.c. The vulnerability happens due to a
    discrepancy between the size of the data buffer and the size
    value provided to the function. This mismatch causes the
    comparison if (size < 4 + ncues * 24) to fail in some cases,
    allowing the subsequent loop to access beyond the bounds of
    the data buffer.
  * Fix CVE-2024-47777:
    An out of bound read vulnerability has been identified in
    the gst_wavparse_smpl_chunk function within gstwavparse.c.
    This function attempts to read 4 bytes from the data + 12 offset
    without checking if the size of the data buffer is sufficient.
  * Fix CVE-2024-47778:
    Make sure enough data for the tag list tag is available before
    parsing (GHSL-2024-258)
  * Fix CVE-2024-47834:
    A use-after-free was found in the Matroska demuxer that can cause
    crashes for certain input files. (GHSL-2024-280)
  * wavparse: Fix parsing of acid chunk
  * wavparse: Check that at least 4 bytes are available before parsing cue
    chunks
  * wavparse: Check for short reads when parsing headers in pull mode
    (CVE-2024-47778, GHSL-2024-258, CVE-2024-47776, GHSL-2024-260)


=== debian/control ===
Source: gst-plugins-good1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.15.1),
               meson (>= 0.48),
               pkg-config (>= 0.11.0),
               xvfb,
               xauth,
               libglib2.0-dev (>= 2.44),
               libgstreamer1.0-dev (>= 1.18.0),
               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
               gstreamer1.0-plugins-base (>= 1.18.0),
               liborc-0.4-dev (>= 1:0.4.17),
               libcairo2-dev (>= 1.10.0),
               libcaca-dev,
               libspeex-dev (>= 1.1.6),
               libpng-dev,
               libshout3-dev,
               libjpeg-dev,
               libaa1-dev (>= 1.4p5),
               libflac-dev (>= 1.1.4),
               libdv4-dev | libdv-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxv-dev,
               libx11-xcb-dev,
               libgdk-pixbuf2.0-dev (>= 2.8.0),
               libgtk-3-dev (>= 3.15),
               libtag1-dev (>= 1.5),
               libwavpack-dev (>= 4.60),
               libsoup2.4-dev (>= 2.48),
               libpulse-dev (>= 2.0),
               libbz2-dev,
               libjack-jackd2-dev,
               libvpx-dev (>= 1.5),
               libmp3lame-dev,
               libmpg123-dev (>= 1.13),
               libtwolame-dev (>= 0.3.10),
               qtbase5-dev,
               qtdeclarative5-dev,
               libqt5x11extras5-dev,
               libraw1394-dev (>= 2.0.0) [linux-any],
               libiec61883-dev (>= 1.0.0) [linux-any],
               libavc1394-dev [linux-any],
               libv4l-dev [linux-any],
               libgudev-1.0-dev (>= 147) [linux-any],
               nasm (>= 2.13) [any-amd64]
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-pulseaudio
Architecture: any
Multi-Arch: same
Section: sound
Depends: gstreamer1.0-plugins-good (>= 1.18.0)
Description: GStreamer plugin for PulseAudio (transitional package)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package used to contain the GStreamer plugin for PulseAudio, a
 sound server for POSIX and WIN32 systems.
 .
 This is a transitional package.

Package: gstreamer1.0-qt5
#Architecture: any
Architecture: any-amd64 any-arm64 any-i386 any-mips any-mips64el any-mipsel any-ppc64el any-s390x any-alpha any-hppa any-ia64 any-m68k any-powerpc any-powerpcspe any-ppc64 any-riscv64 any-sh4 any-sparc64 any-x32
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugin for Qt5
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for Qt5.

Package: gstreamer1.0-gtk3
Architecture: any
Multi-Arch: same
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
Breaks: gstreamer1.0-plugins-bad (<< 1.13.1)
Description: GStreamer plugin for GTK+3
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for GTK+3.

Package: gstreamer1.0-plugins-good
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
Recommends: gstreamer1.0-x
Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
          gstreamer1.0-plugins-ugly (<< 1.13.1),
          gstreamer1.0-pulseaudio (<< 1.18.0)
Breaks: gstreamer1.0-plugins-bad (<< 1.15.1),
        gstreamer1.0-plugins-ugly (<< 1.13.1),
        gstreamer1.0-pulseaudio (<< 1.18.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "good" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "good" set, a set
 of good-quality plug-ins under the LGPL license.

=== debian/watch ===
version=3
http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-(1\.[\d]+\.[\d]+)\.tar\.xz

## gst-plugins-good1.0 1.18.5

=== debian/changelog ===
gst-plugins-good1.0 (1.18.5-1ubuntu2) impish; urgency=medium

  * debian/control: revert dependency change creating migration issues

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 Sep 2021 11:31:57 +0200

gst-plugins-good1.0 (1.18.5-1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Sep 2021 10:30:29 +0200

gst-plugins-good1.0 (1.18.5-1) unstable; urgency=medium

  * debian/control:
    + Depend on qtbase5-private-dev, libqt5waylandclient5-dev to enable the
      Wayland support in the Qt/QML plugin.
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2021 09:37:12 +0300

gst-plugins-good1.0 (1.18.4-1ubuntu2) impish; urgency=medium

  * debian/patches/git_gcc11_build.patch:
    - cherrypick an upstream change to fix the build with the new gcc

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 Aug 2021 15:37:08 +0200

gst-plugins-good1.0 (1.18.4-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Apr 2021 11:27:38 +0200

gst-plugins-good1.0 (1.18.3-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jan 2021 15:11:43 +0100

gst-plugins-good1.0 (1.18.2-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 23:15:45 +0100

gst-plugins-good1.0 (1.18.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Oct 2020 17:12:35 +0100

## gst-plugins-good1.0 1.20.1

=== debian/changelog ===
gst-plugins-good1.0 (1.20.1-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + Don't require libqt5waylandclient5-dev Build-Depends on i386
  * Update camerabin & jpegformat patches with the 1.20.1 -bad code

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Mar 2022 10:17:46 -0400

gst-plugins-good1.0 (1.20.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Mar 2022 16:53:45 +0200

gst-plugins-good1.0 (1.20.0-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * Don't require libqt5waylandclient5-dev Build-Depends on i386

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 15:46:03 -0500

gst-plugins-good1.0 (1.20.0-2) unstable; urgency=medium

  * debian/control:
    + Let gstreamer1.0-plugins-good depend on >= 1.20.0 of
      gstreamer1.0-plugins-base as it requires plugins from there.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 10:29:26 +0200

gst-plugins-good1.0 (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 08:56:54 +0200

gst-plugins-good1.0 (1.19.90-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin (+ basecamerabinsrc + photography)
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 15:04:14 -0500

gst-plugins-good1.0 (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 17:06:48 +0200

gst-plugins-good1.0 (1.18.5-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * debian/rules,
    debian/control:
    + With #894076 fixed, gstreamer1.0-qt5 builds again on armel/armhf (Closes: #998383).

  [ Samuel Thibault ]
  * debian/control:
    + Build Qt5/Wayland support only on Linux (Closes: #998210).

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Jan 2022 11:55:09 +0200

gst-plugins-good1.0 (1.18.5-1ubuntu3) jammy; urgency=medium

  * No change rebuild for the new libvpx soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Nov 2021 13:23:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: gst-plugins-good1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
-               meson (>= 0.48),
+               meson (>= 0.59),
                pkg-config (>= 0.11.0),
                xvfb,
                xauth,
-               libglib2.0-dev (>= 2.44),
-               libgstreamer1.0-dev (>= 1.18.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
-               gstreamer1.0-plugins-base (>= 1.18.0),
+               libglib2.0-dev (>= 2.56),
+               libgstreamer1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
+               gstreamer1.0-plugins-base (>= 1.20.0),
                liborc-0.4-dev (>= 1:0.4.17),
                libcairo2-dev (>= 1.10.0),
                libcaca-dev,
@@ -34,17 +35,18 @@
                libgtk-3-dev (>= 3.15),
                libtag1-dev (>= 1.5),
                libwavpack-dev (>= 4.60),
-               libsoup2.4-dev (>= 2.48),
                libpulse-dev (>= 2.0),
                libbz2-dev,
                libjack-jackd2-dev,
-               libvpx-dev (>= 1.5),
+               libvpx-dev (>= 1.7),
                libmp3lame-dev,
                libmpg123-dev (>= 1.13),
                libtwolame-dev (>= 0.3.10),
                qtbase5-dev,
+               qtbase5-private-dev,
                qtdeclarative5-dev,
                libqt5x11extras5-dev,
+               libqt5waylandclient5-dev [!hurd-any !kfreebsd-any !i386],
                libraw1394-dev (>= 2.0.0) [linux-any],
                libiec61883-dev (>= 1.0.0) [linux-any],
                libavc1394-dev [linux-any],
@@ -52,15 +54,17 @@
                libgudev-1.0-dev (>= 147) [linux-any],
                nasm (>= 2.13) [any-amd64]
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
+Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0
+Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0/+git/gst-plugins-good1.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
 Homepage: https://gstreamer.freedesktop.org
 
 Package: gstreamer1.0-pulseaudio
 Architecture: any
 Multi-Arch: same
 Section: sound
-Depends: gstreamer1.0-plugins-good (>= 1.18.0)
+Depends: gstreamer1.0-plugins-good (>= 1.20.0)
 Description: GStreamer plugin for PulseAudio (transitional package)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -75,8 +79,7 @@
  This is a transitional package.
 
 Package: gstreamer1.0-qt5
-#Architecture: any
-Architecture: any-amd64 any-arm64 any-i386 any-mips any-mips64el any-mipsel any-ppc64el any-s390x any-alpha any-hppa any-ia64 any-m68k any-powerpc any-powerpcspe any-ppc64 any-riscv64 any-sh4 any-sparc64 any-x32
+Architecture: any
 Multi-Arch: same
 Section: graphics
 Depends: ${misc:Depends},
@@ -132,7 +135,9 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          gstreamer1.0-audiosink,
-         gstreamer1.0-plugins-base,
+         gstreamer1.0-plugins-base (>= 1.20.0),
+         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
+         libsoup2.4-1 (>= 2.48) | libsoup3.0-0
 Recommends: gstreamer1.0-x
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
           gstreamer1.0-plugins-ugly (<< 1.13.1),
@@ -157,3 +162,42 @@
  .
  This package contains the GStreamer plugins from the "good" set, a set
  of good-quality plug-ins under the LGPL license.
+
+Package: libgstreamer-plugins-good1.0-0
+Architecture: any
+Section: libs
+Priority: optional
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
+Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
+          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
+Description: GStreamer development files for libraries from the "good" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains shared GStreamer libraries from the "good" set. The API
+ is not guaranteed to be stable.
+
+Package: libgstreamer-plugins-good1.0-dev
+Architecture: any
+Section: libdevel
+Priority: optional
+Depends: ${misc:Depends},
+     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
+     libgstreamer1.0-dev
+Description: GStreamer development files for libraries from the "good" set
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains development files for GStreamer libraries from the
+ "good" set. The API is not guaranteed to be stable.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home
export QT_SELECT=5

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Good Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-good1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Good Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-good1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Good Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-good1.0"
endif

conf_flags = --libdir=lib/$(DEB_HOST_MULTIARCH) --libexecdir=lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0
conf_flags += -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)

ifeq ($(DEB_HOST_ARCH_OS),hurd)
conf_flags += -Doss4=disabled
endif


%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --default-library shared $(conf_flags)

override_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home
	dh_auto_clean

override_dh_auto_test:
	xvfb-run dh_auto_test || true

override_dh_strip:
	dh_strip --dbgsym-migration='gstreamer1.0-plugins-good-dbg (<< 1.17.1-1~)'

override_dh_install:
	dh_install
ifneq ($(DEB_HOST_ARCH_OS),hurd)
	dh_install -pgstreamer1.0-plugins-good debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstoss4.so
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -pgstreamer1.0-plugins-good debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgst1394.so
	dh_install -pgstreamer1.0-plugins-good debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstvideo4linux2.so
endif

	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-good1.0-0/usr/lib/$(DEB_HOST_MULTIARCH) \
	    dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

## gst-plugins-good1.0 1.20.3

=== meson_options.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
 option('osxvideo', type : 'feature', value : 'auto', description : 'macOS Cocoa video sink plugin')
 option('png', type : 'feature', value : 'auto', description : 'PNG image codec plugin')
 option('pulse', type : 'feature', value : 'auto', description : 'Pulseaudio audio source/sink plugin')
-option('qt5', type : 'feature', value : 'auto', description : 'Qt5 QML video sink plugin')
+option('qt5', type : 'feature', value : 'auto', yield : true, description : 'Qt5 QML video sink plugin')
 option('shout2', type : 'feature', value : 'auto', description : 'Shout-casting network sink plugin based on libshout2')
 option('soup', type : 'feature', value : 'auto', description : 'libsoup HTTP client source/sink plugin')
 option('speex', type : 'feature', value : 'auto', description : 'Speex audio codec plugin')

=== debian/changelog ===
gst-plugins-good1.0 (1.20.3-1~bpo11+1) bullseye; urgency=medium

  * New upstream bugfix release
  * debian: add Marc Leeman to uploaders
  * debian: add lintian-overrides
  * debian: introduce rtsp connection timeout
  * rtpsession: ignore SSRC collisions
  * debian: import 0003-rtspsrc-do-not-stop-streaming.patch
  * debian: ignore more failing tests

 -- Marc Leeman <m.leeman@televic.com>  Wed, 28 Sep 2022 09:48:16 +0200

gst-plugins-good1.0 (1.20.3-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * New upstream bugfix release.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for gstreamer1.0-pulseaudio.
  * Move transitional package gstreamer1.0-pulseaudio to oldlibs/optional per
    policy 4.0.1.
  * Update standards version to 4.6.0, no changes needed.
  * Remove field Section on binary package gstreamer1.0-plugins-good that
    duplicates source.

  [ Jeremy Bicha ]
  * Don't ignore dh_auto_test failures on amd64 & arm64.
  * Add a patch to skip 2 test failures.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Jun 2022 09:36:08 +0300

gst-plugins-good1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:04:35 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gst-plugins-good1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-good1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>
+           Sjoerd Simons <sjoerd@debian.org>,
+           Marc Leeman <m.leeman@televic.com>,
 Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
@@ -46,25 +46,23 @@
                qtbase5-private-dev,
                qtdeclarative5-dev,
                libqt5x11extras5-dev,
-               libqt5waylandclient5-dev [!hurd-any !kfreebsd-any !i386],
+               libqt5waylandclient5-dev [linux-any],
                libraw1394-dev (>= 2.0.0) [linux-any],
                libiec61883-dev (>= 1.0.0) [linux-any],
                libavc1394-dev [linux-any],
                libv4l-dev [linux-any],
                libgudev-1.0-dev (>= 147) [linux-any],
                nasm (>= 2.13) [any-amd64]
-Standards-Version: 4.5.0
-Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0
-Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-good1.0/+git/gst-plugins-good1.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
+Standards-Version: 4.6.0
+Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0.git
+Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-good1.0/
 Homepage: https://gstreamer.freedesktop.org
 
 Package: gstreamer1.0-pulseaudio
 Architecture: any
 Multi-Arch: same
-Section: sound
-Depends: gstreamer1.0-plugins-good (>= 1.20.0)
+Section: oldlibs
+Depends: gstreamer1.0-plugins-good (>= 1.20.0), ${misc:Depends}
 Description: GStreamer plugin for PulseAudio (transitional package)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -131,12 +129,10 @@
 Package: gstreamer1.0-plugins-good
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          gstreamer1.0-audiosink,
          gstreamer1.0-plugins-base (>= 1.20.0),
-         libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
          libsoup2.4-1 (>= 2.48) | libsoup3.0-0
 Recommends: gstreamer1.0-x
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1),
@@ -162,42 +158,3 @@
  .
  This package contains the GStreamer plugins from the "good" set, a set
  of good-quality plug-ins under the LGPL license.
-
-Package: libgstreamer-plugins-good1.0-0
-Architecture: any
-Section: libs
-Priority: optional
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
-Replaces: gstreamer1.0-plugins-good (= 1.0.3-1ubuntu1),
-          libgstreamer-plugins-bad1.0-0 (<< 1.0.3-1ubuntu1)
-Description: GStreamer development files for libraries from the "good" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains shared GStreamer libraries from the "good" set. The API
- is not guaranteed to be stable.
-
-Package: libgstreamer-plugins-good1.0-dev
-Architecture: any
-Section: libdevel
-Priority: optional
-Depends: ${misc:Depends},
-     libgstreamer-plugins-good1.0-0 (= ${binary:Version}),
-     libgstreamer1.0-dev
-Description: GStreamer development files for libraries from the "good" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- This package contains development files for GStreamer libraries from the
- "good" set. The API is not guaranteed to be stable.

=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,13 @@
 	rm -rf $(CURDIR)/fake-home
 	dh_auto_clean
 
+# Only make the tests fail for key architectures
 override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
+	xvfb-run dh_auto_test
+else
 	xvfb-run dh_auto_test || true
+endif
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='gstreamer1.0-plugins-good-dbg (<< 1.17.1-1~)'
@@ -67,6 +72,5 @@
 
 	mkdir -p $(CURDIR)/fake-home
 	HOME=$(CURDIR)/fake-home \
-	LD_LIBRARY_PATH=debian/libgstreamer-plugins-good1.0-0/usr/lib/$(DEB_HOST_MULTIARCH) \
-	    dh_gstscancodecs
+	dh_gstscancodecs
 	rm -rf $(CURDIR)/fake-home
